using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace Frog {
	class RockSpace : GameSpace {
		public static Texture2D rockSprite;

		public RockSpace(int spaceID)
			: base(spaceID)
		{
			sprite = rockSprite;
		}

		public override void Hold(GameBoard board, Frog incomingFrog)
        {
            if (virtualVisitor != null)
            {
                List<GameSpace> lane = board[incomingFrog.ID];
                //lane[spaceNumber - 1].Hold(board, incomingFrog);
                board.Move(incomingFrog, spaceNumber - 1);
            }
            else
            {
				virtualVisitor = incomingFrog;
            }
        }
	}
}
