using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace Frog {
	class LeafSpace : GameSpace {
		public static Texture2D leafSprite;

		public LeafSpace(int spaceID)
			: base(spaceID)
		{
			sprite = leafSprite;
		}

        public override void Hold(GameBoard board, Frog incomingFrog)
        {
            if (virtualVisitor != null)
            {
                /*THIS MAY REQUIRE A COPY CONSTRUCTOR FOR POINTER ISSUES*/
                List<GameSpace> lane = board[incomingFrog.ID];
                //lane[spaceNumber - 1].Hold(board, currVisitor);
                board.Move(currVisitor, spaceNumber - 1);
            }
            virtualVisitor = incomingFrog;
        }

	}
}
